<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::table('airlines')
            ->where('internal_name', 'virgin-blue-airlines')
            ->update(['logo' => 'DJ_1.png']);

        DB::table('airlines')
            ->where('internal_name', 'continental-airlines')
            ->update([
                'logo' => 'CO_1.png',
                'IATA_code' => 'CO'
            ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::table('airlines')
            ->where('internal_name', 'virgin-blue-airlines')
            ->update(['logo' => 'VA.png']);

        DB::table('airlines')
            ->where('internal_name', 'continental-airlines')
            ->update([
                'logo' => null,
                'IATA_code' => null
            ]);
    }
};
